#ifndef PAREGNRMC_H
#define PAREGNRMC_H
#include <QString>
#include <QStringList>

// 解析 $GNRMC 语句
struct RMCData {
    QString time;
    bool isValid;
    double latitude;
    char latDirection;
    double longitude;
    char lonDirection;
    double speed;
    QString date;
};



class PareGNRMC
{
public:
    PareGNRMC();
    RMCData parseRMC(const QString &input);
    QString rmcDataToString(const RMCData &data);
private:
    bool verifyChecksum(const QString &sentence);

};

#endif // PAREGNRMC_H
